# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = "rake-xpi"
  spec.version       = '0.0.42'
  spec.authors       = ["Emiliano Heyns"]
  spec.email         = ["Emiliano.Heyns@iris-advies.com"]
  spec.description   = %q{rake helper to build XPI files}
  spec.summary       = %q{rake helper to build XPI files}
  spec.homepage      = "http://zotplus.github.io"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]
  spec.required_ruby_version = '>= 2.2'

  spec.add_development_dependency "bundler", "~> 1.3"

  spec.add_runtime_dependency 'aws-sdk'
  spec.add_runtime_dependency 'dotenv'
  spec.add_runtime_dependency 'octokit'
  spec.add_runtime_dependency 'faraday-http-cache'
  spec.add_runtime_dependency 'jwt'
  spec.add_runtime_dependency 'multipart-post'
  spec.add_runtime_dependency 'versionomy'
  spec.add_runtime_dependency 'nokogiri'
  spec.add_runtime_dependency 'rake', '>= 0', '>= 0'
  spec.add_runtime_dependency 'recursive-open-struct'
  spec.add_runtime_dependency 'rest-client'
  spec.add_runtime_dependency 'rubyzip', '>= 1.0.0' # will load new rubyzip version
  spec.add_runtime_dependency 'zip-zip' # will load compatibility for old rubyzip API.
  spec.add_runtime_dependency 'slack-incoming-webhooks'
end
